package main

import "scm.dairydemon.net/filifa/mlblive/internal/statsapi"

type Game struct {
	CurrPlayDesc string
	HomeScore    uint
	AwayScore    uint
}

func (g *Game) Update(feed *statsapi.Feed) error {
	homeScore := feed.LiveData.Linescore.Teams.Home.Runs
	awayScore := feed.LiveData.Linescore.Teams.Away.Runs
	// FIXME: currentPlay/result doesn't always have description
	desc := feed.LiveData.Plays.CurrentPlay.Result.Description

	score, err := homeScore.Int64()
	if err != nil {
		return err
	}
	g.HomeScore = uint(score)

	score, err = awayScore.Int64()
	if err != nil {
		return err
	}
	g.AwayScore = uint(score)

	g.CurrPlayDesc = desc

	return nil
}
